import request from '@/utils/request'

// 查询固定资产列表
export function listPermanent(query) {
  return request({
    url: '/asset/permanentFill/list',
    method: 'get',
    params: query
  })
}

// 查询固定资产详细
export function getPermanent(id) {
  return request({
    url: '/asset/permanentFill/get/' + id,
    method: 'get'
  })
}

export function updatePermanent(data) {
  return request({
    url: '/asset/permanentFill/edit',
    method: 'post',
    data: data
  })
}

// 新增固定资产
export function addPermanent(data) {
  return request({
    url: '/asset/permanentFill/add',
    method: 'post',
    data: data
  })
}

// 删除固定资产
export function delPermanent(id) {
  return request({
    url: '/asset/permanentFill/remove/' + id,
    method: 'get'
  })
}

// 导出固定资产
export function exportPermanent(query) {
  return request({
    url: '/asset/permanentFill/export',
    method: 'get',
    params: query
  })
}



